#!/bin/bash

# build ci deps, that should be described one per line in a .ci-deps file in the repo

CI_DEPS_FILE=$(make show-var VARNAME=WRKSRC)/.ci-deps
[[ -f $CI_DEPS_FILE ]] || exit 0

while read dep
do
    if grep -q / <<< $dep
    then  # SRC dependency
        make -C "../../$dep" replace confirm
        echo "PREFER.${dep#*/} = robotpkg" >> /opt/openrobots/etc/robotpkg.conf
    else  # BIN dependency
        apt-get install -qqy "$dep"
    fi
done < "$CI_DEPS_FILE"
